#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 Black
#property indicator_color2 Black
#property indicator_color3 Black

extern color Fib_Long = Blue;
extern int Fib_Long_Style = 1;
extern int Fib_Long_Width = 1;
extern color Fib_Short = Yellow;
extern int Fib_Short_Style = 1;
extern int Fib_Short_Width = 1;
extern color Fib_Intraday = Pink;
extern int Fib_Intraday_Style = 1;
extern int Fib_Intraday_Width = 1;
double g_price_112;
double g_price_120;
double gd_128;
int g_datetime_136;

// E37F0136AA3FFAF149B351F6A4C948E9
int init() {
   return (0);
}

// 52D46093050F38C27267BCE42543EF60
int deinit() {
   ObjectDelete("LongFibo");
   ObjectDelete("ShortFibo");
   ObjectDelete("IntradayFibo");
   return (0);
}

// 177469F06A7487E6FDDCBE94FDB6FD63
int f0_0() {
   if (ObjectFind("LongFibo") == -1) ObjectCreate("LongFibo", OBJ_FIBO, 0, g_datetime_136, g_price_112 + gd_128, g_datetime_136, g_price_112);
   else {
      ObjectSet("LongFibo", OBJPROP_TIME2, g_datetime_136);
      ObjectSet("LongFibo", OBJPROP_TIME1, g_datetime_136);
      ObjectSet("LongFibo", OBJPROP_PRICE1, g_price_112 + gd_128);
      ObjectSet("LongFibo", OBJPROP_PRICE2, g_price_112);
   }
   ObjectSet("LongFibo", OBJPROP_LEVELCOLOR, Fib_Long);
   ObjectSet("LongFibo", OBJPROP_LEVELSTYLE, Fib_Long_Style);
   ObjectSet("LongFibo", OBJPROP_LEVELWIDTH, Fib_Long_Width);
   ObjectSet("LongFibo", OBJPROP_FIBOLEVELS, 2);
   ObjectSet("LongFibo", OBJPROP_FIRSTLEVEL, 0.34);
   ObjectSetFiboDescription("LongFibo", 0, "Objectif raisonnable -  %$");
   ObjectSet("LongFibo", 211, 0.55);
   ObjectSetFiboDescription("LongFibo", 1, "Objectif amitieux -  %$");
   ObjectSet("LongFibo", OBJPROP_RAY, TRUE);
   ObjectSet("LongFibo", OBJPROP_BACK, TRUE);
   if (ObjectFind("ShortFibo") == -1) ObjectCreate("ShortFibo", OBJ_FIBO, 0, g_datetime_136, g_price_120 - gd_128, g_datetime_136, g_price_120);
   else {
      ObjectSet("ShortFibo", OBJPROP_TIME2, g_datetime_136);
      ObjectSet("ShortFibo", OBJPROP_TIME1, g_datetime_136);
      ObjectSet("ShortFibo", OBJPROP_PRICE1, g_price_120 - gd_128);
      ObjectSet("ShortFibo", OBJPROP_PRICE2, g_price_120);
   }
   ObjectSet("ShortFibo", OBJPROP_LEVELCOLOR, Fib_Short);
   ObjectSet("ShortFibo", OBJPROP_LEVELSTYLE, Fib_Short_Style);
   ObjectSet("ShortFibo", OBJPROP_LEVELWIDTH, Fib_Short_Width);
   ObjectSet("ShortFibo", OBJPROP_FIBOLEVELS, 2);
   ObjectSet("ShortFibo", OBJPROP_FIRSTLEVEL, 0.34);
   ObjectSetFiboDescription("ShortFibo", 0, "Objectif raisonnable -  %$");
   ObjectSet("ShortFibo", 211, 0.55);
   ObjectSetFiboDescription("ShortFibo", 1, "Objectif amibtieux -  %$");
   ObjectSet("ShortFibo", OBJPROP_RAY, TRUE);
   ObjectSet("ShortFibo", OBJPROP_BACK, TRUE);
   if (ObjectFind("IntradayFibo") == -1) ObjectCreate("IntradayFibo", OBJ_FIBO, 0, g_datetime_136, g_price_112, g_datetime_136 + 86400, g_price_120);
   else {
      ObjectSet("IntradayFibo", OBJPROP_TIME2, g_datetime_136);
      ObjectSet("IntradayFibo", OBJPROP_TIME1, g_datetime_136 + 86400);
      ObjectSet("IntradayFibo", OBJPROP_PRICE1, g_price_112);
      ObjectSet("IntradayFibo", OBJPROP_PRICE2, g_price_120);
   }
   ObjectSet("IntradayFibo", OBJPROP_LEVELCOLOR, Fib_Intraday);
   ObjectSet("IntradayFibo", OBJPROP_LEVELSTYLE, Fib_Intraday_Style);
   ObjectSet("IntradayFibo", OBJPROP_LEVELWIDTH, Fib_Intraday_Width);
   ObjectSet("IntradayFibo", OBJPROP_FIBOLEVELS, 7);
   ObjectSet("IntradayFibo", OBJPROP_FIRSTLEVEL, 0.0);
   ObjectSetFiboDescription("IntradayFibo", 0, "+ Bas -  %$");
   ObjectSet("IntradayFibo", 211, 0.191);
   ObjectSetFiboDescription("IntradayFibo", 1, "S1 -  %$");
   ObjectSet("IntradayFibo", 212, 0.382);
   ObjectSetFiboDescription("IntradayFibo", 2, "Vente -  %$");
   ObjectSet("IntradayFibo", 213, 0.5);
   ObjectSetFiboDescription("IntradayFibo", 3, "Pivot -  %$");
   ObjectSet("IntradayFibo", 214, 0.618);
   ObjectSetFiboDescription("IntradayFibo", 4, "Achat -  %$");
   ObjectSet("IntradayFibo", 215, 0.809);
   ObjectSetFiboDescription("IntradayFibo", 5, "R1 -  %$");
   ObjectSet("IntradayFibo", 216, 1.0);
   ObjectSetFiboDescription("IntradayFibo", 6, "+Haut -  %$");
   ObjectSet("IntradayFibo", OBJPROP_RAY, TRUE);
   ObjectSet("IntradayFibo", OBJPROP_BACK, TRUE);
   return (0);
}

// EA2B2676C28C0DB26D39331A336C6B92
int start() {
   int li_0 = iBarShift(NULL, PERIOD_D1, Time[0]) + 1;
   g_price_112 = iHigh(NULL, PERIOD_D1, li_0);
   g_price_120 = iLow(NULL, PERIOD_D1, li_0);
   g_datetime_136 = iTime(NULL, PERIOD_D1, li_0);
   if (TimeDayOfWeek(g_datetime_136) == 0) {
      g_price_112 = MathMax(g_price_112, iHigh(NULL, PERIOD_D1, li_0 + 1));
      g_price_120 = MathMin(g_price_120, iLow(NULL, PERIOD_D1, li_0 + 1));
   }
   gd_128 = g_price_112 - g_price_120;
   f0_0();
   return (0);
}